package VariableDemandSchedules;

import jdistlib.Poisson;
import jdistlib.rng.RandomEngine;

public class VariableDemandVector {
    private final int[] VariableDemandVector;

    VariableDemandVector(int length, RandomEngine r) {
        VariableDemandVector = new int[length];
        Poisson p1 = new Poisson(ParametersVariableDemandSimulator.lambda);
        p1.setRandomEngine(r);
        for (int i = 0; i < length; i++) {
            VariableDemandVector[i] = (int) p1.random();
        }
    }

    public int[] getVariableDemandVector() {
        return VariableDemandVector;
    }
}
